# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /home/builder/r-4.2.0/aggregateR/r-betabit-feedstock/recipe, last modified Wed Jun  1 21:42:24 2022
# ------------------------------------------------

package:
  name: r-betabit
  version: '1.4'
source:
  sha256: 7631ef4a74b22944d286f279f51be95d45fda89357b5d5f5078c79206aa29b85
  url:
    - https://cran.r-project.org/src/contrib/Archive/BetaBit/BetaBit_1.4.tar.gz
    - https://cran.r-project.org/src/contrib/BetaBit_1.4.tar.gz
build:
  noarch: generic
  number: '0'
  rpaths:
    - lib/
    - lib/R/lib/
  string: r42h142f84f_0
requirements:
  build: []
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _r-mutex 1.0.0 anacondar_1
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - blas 1.0 openblas
    - bwidget 1.9.11 1
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.18.1 h7f8727e_0
    - ca-certificates 2022.4.26 h06a4308_0
    - cairo 1.16.0 h19f5f5c_2
    - curl 7.82.0 h7f8727e_0
    - fontconfig 2.13.1 h6c09931_0
    - freetype 2.11.0 h70c0345_0
    - fribidi 1.0.10 h7b6447c_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gfortran_impl_linux-64 11.2.0 h1234567_1
    - gfortran_linux-64 11.2.0 hc2dff05_0
    - glib 2.69.1 h4ff587b_1
    - graphite2 1.3.14 h295c915_1
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - harfbuzz 2.8.1 h6f93f22_0
    - icu 58.2 he6710b0_3
    - jpeg 9e h7f8727e_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - krb5 1.19.2 hac12032_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libcurl 7.82.0 h0b77cf5_0
    - libedit 3.1.20210910 h7f8727e_0
    - libev 4.33 h7f8727e_1
    - libffi 3.3 he6710b0_2
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgfortran-ng 11.2.0 h00389a5_1
    - libgfortran5 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.46.0 hce63b2e_0
    - libopenblas 0.3.20 h043d6bf_1
    - libpng 1.6.37 hbc83047_0
    - libssh2 1.10.0 h8f2d780_0
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libtiff 4.2.0 h2818925_1
    - libuuid 1.0.3 h7f8727e_2
    - libwebp-base 1.2.2 h7f8727e_0
    - libxcb 1.15 h7f8727e_0
    - libxml2 2.9.14 h74e7548_0
    - lz4-c 1.9.3 h295c915_1
    - make 4.2.1 h1bed415_1
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1o h7f8727e_0
    - pango 1.45.3 hd140c19_0
    - pcre 8.45 h295c915_0
    - pcre2 10.37 he7ceb23_1
    - pixman 0.40.0 h7f8727e_1
    - r-base 4.2.0 h1ae530e_0
    - r-digest 0.6.29 r42h884c59f_0
    - readline 8.1.2 h7f8727e_1
    - sysroot_linux-64 2.17 h57e8cba_10
    - tk 8.6.12 h1ccaba5_0
    - tktable 2.10 h14c3975_0
    - xz 5.2.5 h7f8727e_1
    - zlib 1.2.12 h7f8727e_2
    - zstd 1.5.2 ha4553b6_0
  run:
    - r-base >=4.2,<4.3.0a0
    - r-digest
test:
  commands:
    - $R -e "library('BetaBit')"
about:
  home: https://betabit.wiki
  license: GPL-2
  license_family: GPL2
  license_file:
    - /home/builder/r-4.2.0/miniconda/envs/r-4.2.0/conda-bld/r-betabit_1654293306350/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/lib/R/share/licenses/GPL-2
  summary: 'Three games: proton, frequon and regression. Each one is a console-based
    data-crunching game for younger and older data scientists. Act as a data-hacker
    and find Slawomir Pietraszko''s credentials to the Proton server. In proton you
    have to solve four data-based puzzles to find the login and password. There are
    many ways to solve these puzzles. You may use loops, data filtering, ordering,
    aggregation or other tools. Only basics knowledge of R is required to play the
    game, yet the more functions you know, the more approaches you can try. In frequon
    you will help to perform statistical cryptanalytic attack on a corpus of ciphered
    messages. This time seven sub-tasks are pushing the bar much higher. Do you accept
    the challenge? In regression you will test your modeling skills in a series of
    eight sub-tasks. Try only if ANOVA is your close friend. It''s a part of Beta
    and Bit project. You will find more about the Beta and Bit project at <https://betabit.wiki>.'
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - katietz
